Loading...
Searching...
No Matches
Dune::JoinTuples< Head, Tail > Struct Template Reference
Common » Utilities » Tuple Utilities

Join two std::tuple's. More...

`#include <dune/common/tupleutility.hh>`

## Public Types

typedef ReduceTuple< PushBackTuple, Tail, Head >::type | type
| Result of the join operation.

## Detailed Description

template<class Head, class Tail>
struct Dune::JoinTuples< Head, Tail >

Join two std::tuple's.

For Head=std::tuple<T0,...,TN> and Tail=std::tuple<S0,...,SM> the exported result is std::tuple<T0,..,TN,S0,...,SM>.

Template Parameters

  Head | Head of resulting std::tuple
  Tail | Tail of resulting std::tuple

The documentation for this struct was generated from the following file:

- tupleutility.hh